.BG
.FN kreg
.TL
.DN
Kernel regression with a univariate response and (possibly)
multivariate explanatory variable/
.CS
kreg(x, y, xpred=x, kernel=4, b)
.RA
.AG x
nxp matrix of n observations & p explanatory variables 
.AG y
vector of n observations of the response variable
.AG xpred
n'xp matrix of n' regressors for prediction
.OA
.AG kernel
kernel function

     1 <-> uniform
     2 <-> cosine
     3 <-> triangular
     4 <-> Epanechnikov
     5 <-> quartic
     6 <-> triweight
     7 <-> Gaussian

.AG b
bandwidth for kernel=1,2,3 and square root of the bandwith for kernel
=4,5,6,7
.RT
The output is a list with three elements:

   xpred  same as in input
   ypred  vector of the predictions 
            (one prediction for each row in xpred)
   b      same as in input

.DT
The regression function (smooth) is computed at the points of xpred
from the values of y corresponding to x. The kernel method is used to
compute this regression. For computation efficiency the parameter b is
sometime the bandwidth sometime its square root.
.SH REFERENCES
Lecture Notes on Nonparametric Regression
.SA
ksmooth
.KW 
.WR
